body {
    font-family: Arial, sans-serif;
    margin: 0;
}

#container{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    gap: 1%;
    height: 100vh;
}

.column_container{
    display: flex;
    width: 30%;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: 1%;
}


#canvas_container{
    /*height: 90vh;*/
    height: 90%;
    width: 100%;
    display: flex;
    flex: 1 0 auto;
    flex-direction: column;
    align-items: center;
    max-height: 90%;
    overflow-y: scroll;
    flex-grow: 1;
}

.chart{
    /*padding: 2%;*/
    margin: 2% 0 2% 0;
    /*width: 100%;*/
    /*height: 60%;*/
}

fieldset {
    border: 1px solid #ccc;
    padding: 20px 5vw;
    border-radius: 5px;
}

legend {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 10px;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

label {
    margin-top: 10px;
    font-weight: bold;
}

select,
input[type="file"],
input[type="submit"],
button{
    margin-top: 5px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    width: 100%;
}

input[type="submit"],
button
{
    background: rgba(131, 58, 180, 1);
    color: white;
    cursor: pointer;
    font-weight: bold;
    width: 80%;
}

input[type="submit"]:hover, button:hover {
    background-color: rgba(252, 176, 69, 1);
}

button[disabled] {
    opacity: 0.6;
}

button[disabled]:hover {
    opacity: 0.6;
}

button[disabled]:focus {
    outline: none;
}


textarea {
    height: 90%;
    width: 90%;
    /*padding: 10px 5vw;*/
    margin: 0;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    resize: none;
}

textarea:focus {
    outline: none;
    border-color: #7c9cef;
    box-shadow: 0 0 5px rgba(124, 156, 239, 0.5);
}

input[type="number"] {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

#stairwai{
    transform: rotate(-90deg);
    height: 10%;
}

#bca{
    width: 100%;
    height: auto;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    display: none;
}

.spinner {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: 4px solid #ffffff;
    border-top-color: rgba(131, 58, 180, 1);
    animation: spin 1s linear infinite;
    z-index: 10000;
    display: none;
}

@keyframes spin {
    0% { transform: translate(-50%, -50%) rotate(0deg); }
    100% { transform: translate(-50%, -50%) rotate(360deg); }
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: rgba(131, 58, 180, 1);
}

input:focus + .slider {
    box-shadow: 0 0 1px rgba(252, 176, 69, 1);
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}